Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction
Class InvalidIsolationLevelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.transaction.TransactionException
                          org.springframework.transaction.TransactionUsageException
                              org.springframework.transaction.InvalidIsolationLevelException

All Implemented Interfaces:
  Serializable

    public class InvalidIsolationLevelException

extends TransactionUsageException

Exception that gets thrown when an invalid isolation level is specified, i.e. an isolation level that the transaction manager implementation doesn't support.

Since:
  12.05.2003
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`InvalidIsolationLevelException(String msg)` Constructor for InvalidIsolationLevelException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidIsolationLevelException

    public InvalidIsolationLevelException(String msg)

  Constructor for InvalidIsolationLevelException.

  Parameters:
    `msg` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.